package com.willalp.event.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 活动预约列对象 hs_activity_appoint
 *
 * @author willalp
 * @date 2023-04-04
 */

@TableName("hs_activity_appoint")
public class HsActivityAppoint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 活动日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "活动日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activityTime;

    /** 姓名 */
    @Excel(name = "姓名")
    private String appointeeName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String appointeePhone;

    /** 预约时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "预约时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date appointmentTime;

    /** 活动ID */
    @Excel(name = "活动ID")
    private String activityId;

    /** 操作 */
    private String operation;

    /** 是否删除 */
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setActivityTime(Date activityTime)
    {
        this.activityTime = activityTime;
    }

    public Date getActivityTime()
    {
        return activityTime;
    }
    public void setAppointeeName(String appointeeName)
    {
        this.appointeeName = appointeeName;
    }

    public String getAppointeeName()
    {
        return appointeeName;
    }
    public void setAppointeePhone(String appointeePhone)
    {
        this.appointeePhone = appointeePhone;
    }

    public String getAppointeePhone()
    {
        return appointeePhone;
    }
    public void setAppointmentTime(Date appointmentTime)
    {
        this.appointmentTime = appointmentTime;
    }

    public Date getAppointmentTime()
    {
        return appointmentTime;
    }
    public void setActivityId(String activityId)
    {
        this.activityId = activityId;
    }

    public String getActivityId()
    {
        return activityId;
    }
    public void setOperation(String operation)
    {
        this.operation = operation;
    }

    public String getOperation()
    {
        return operation;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("activityTime", getActivityTime())
            .append("appointeeName", getAppointeeName())
            .append("appointeePhone", getAppointeePhone())
            .append("appointmentTime", getAppointmentTime())
            .append("activityId", getActivityId())
            .append("remark", getRemark())
            .append("operation", getOperation())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
